@extends("layout")

@section('title', '登录')

<link rel="stylesheet" href="{{ asset('css/style-mb.css?v=2021050801') }}">
@section("content")
    @if(!$isWx)
    <div class="is-weixin hide">
        <img src="{{ asset('ald/sign/images/wx.png') }}" class="m-img" alt="">
    </div>
    @else
<div class="container common-container ald-login-container">
    @include("components.top_nav")
    <div class="form-container">
        <ul class="form">
            <li class="icon-account"><input type="text" name="account" autocomplete="off" placeholder="请输入您的账号"  maxlength="30"></li>
            <li class="icon-password"><input type="password" name="password" autocomplete="off"  placeholder="请输入您的密码" maxlength="30"></li>
        </ul>
        <div class="protocol">
            <span class="checkbox"></span>
            我已阅读并同意
            <a href="javascript:" class="user-protocol">《用户协议》</a>
            <a href="javascript:" class="user-privacy">《隐私协议》</a>
        </div>
        <button class="btn btn-login" data-type="10001">登录</button>
        <div class="other-login">
            <h4>—官方渠道—</h4>
            <span href="javascript:">MG/IOS/915转移/三星&4399&360转移/联想转移</span>
        </div>
        <!--隐私协议弹窗-->
        <div class="dialog dialog-protocol hide">
            <div class="content">
                <a href="javascript:;" data-type="1" class="close"></a>
                <h3 class="protocol-title"></h3>
                <p class="protocol-v hide">
                <span class="t2">
                    更新时间：2021年4月【25】日<br>
                    生效时间：2021年4月【25】日<br>
                </span>
                    <span class="t3">欢迎您使用上饶市橙橙网络科技有限公司提供的相关游戏服务，上饶市橙橙网络科技有限公司（以下统称“橙橙网络”或“我们”）非常重视用户（以下统称“用户”或“您”）的个人信息和隐私保护。您在使用橙橙网络的产品及/或服务时，橙橙网络可能会收集或使用您的相关信息。我们将通过《橙橙网络隐私保护政策》（“本政策”）向您进一步说明您在使用橙橙网络服务时，我们收集、存储、保护、使用和共享个人信息的情况，以及您享有的权利等，以便更好地保障您的权益。

                橙橙网络深知个人信息对您的重要性，并会尽全力保护您的个人信息安全可靠。我们致力于维持您对我们的信任，恪守以下原则，保护您的个人信息：权责一致原则、目的明确原则、选择同意原则、最小必要原则、确保安全原则、主体参与原则、公开透明原则等。同时，橙橙网络承诺，我们将按业界成熟的安全标准，采取相应的安全保护措施来保护您的个人信息。

                在使用我们的产品或服务前，请您务必仔细阅读并深刻理解本政策，特别是以粗体及粗体下划线标识的条款，您应当在完整阅读，且确认充分理解及同意后再开始使用。如果您因不同意本政策而导致橙橙网络服务不能正常运行，或无法达到服务效果的，您应当立即停止使用我们的服务/产品。

                在您阅读完本政策后，如您对本政策有任何疑问，您可以通过本政策“联系我们”章节内所列出的联系方式与我们进行反馈，我们将会尽快为您解答。<br>

                本政策将帮助您了解以下内容：<br>
                1.我们收集的信息<br>
                2.我们如何使用您的个人信息<br>
                3.我们可能共享、转让和披露的个人信息<br>
                4.我们如何存储和保护个人信息<br>
                5.您的权利<br>
                6.未成年人保护<br>
                7.您的个人信息如何在全球范围转移<br>
                8.变更和通知<br>
                9.联系我们<br>

                1.我们收集的信息<br>
                在您使用橙橙网络提供的游戏服务的过程中，橙橙网络将会按照如下方式收集您在使用服务时主动提供的或因为使用服务而产生的信息，用以向您提供、优化我们的服务以及保障您的账户安全：
                <br>1.1当您注册或使用我们提供的游戏服务时，我们会收集您的网络身份标识信息及个人常用设备信息，用于标记您为我们提供的游戏服务的用户。我们收集这一信息是为了识别和验证您的身份，并实现该账号下的游戏数据在不同设备之间的同步。
                <br>1.2为符合相关法律法规政策及相关主管部门的要求，橙橙网络用户需要进行实名认证以使用和享受橙橙网络产品和服务。我们会在获得您同意或您主动提供的情况下收集您的实名身份信息（包括姓名、身份证号、照片等信息），该信息属于敏感信息，如果您选择不提供实名身份信息，可能会导致您无法登陆橙橙网络提供的游戏平台或无法正常使用橙橙网络的相关服务。
                <br>1.3为维护游戏基础功能的运行，保障您正常使用我们提供的服务，提升您的游戏体验及保障您的账号安全，我们会收集您的设备信息，包括设备型号、设备类型及版本、设备MAC地址、IP地址、应用ID、操作系统类型、设备设置等信息。
                <br>1.4当您使用我们提供的游戏服务时，我们会收集您的游戏日志信息，例如登录日志、物品日志、游戏内战斗日志等，以便您能够在不同设备的客户端查看您的游戏记录，同时用于游戏运营、游戏数据分析及客服处理，为优化您的游戏体验，我们可能会把前述信息同步至该游戏的后续版本中。
                <br>1.5如您使用小米、华为等品牌手机，游戏接入的上述手机厂商Push SDK需要收集手机唯一标识信息（例如IMEI），并可能会收集您的手机型号、系统类型、系统版本、设备屏幕尺寸等参数用于实现游戏产品和活动等信息的推送，具体情况请参见SDK运营方的隐私协议或相关声明。
                <br>1.6如您使用酷派等品牌手机，游戏接入手机厂商Push SDK需要您通过手机验证方式登录，您可以选择是否提供该类信息，若您选择不提供该类信息，则可能无法正常在前述品牌手机中使用服务的特定功能。
                <br>1.7当您使用橙橙网络游戏产品的消费功能时，为最大程度保护您的虚拟物品安全及您查询个人交易记录的需要，我们会收集您的充值记录、消费记录等信息，充值记录、消费记录属于敏感信息，收集上述信息为实现橙橙网络游戏产品的消费功能所必须，否则将无法正常实现该功能及完成交易。
                <br>1.8为保障您的游戏账号安全，营造公平、健康及安全的游戏环境，我们会收集您的游戏识别信息、硬件及操作系统信息、进程及游戏崩溃记录等信息，以用于打击破坏游戏公平环境或干扰、破坏游戏服务正常进行的行为（如用于检测盗版、扫描外挂、防止作弊等）。
                <br>1.9当您在游戏中通过文字、图片及其他方式与其他玩家进行互动，我们可能会收集并保存您发送的上述信息内容用于过滤色情、暴力、政治、辱骂、恶意广告等不当内容，以此净化游戏环境，维护健康的上网环境。
                <br>1.10在您使用游戏产品及/或服务时，您可能会因账号管理、充值等问题联系客服。故我们需要获取您的充值相关日志，以便客服帮助您解决相关问题。
                <br>1.11如您希望通过图片、语音、视频与其他游戏玩家互动、参与直播，在您授权同意后，游戏会访问您的照片或存储文件、麦克风、摄像头，为您提供截图保存、图片上传、语音聊天、直播互动等功能。
                <br>1.12首次进入游戏时，您会收到一个申请访问您的内外部存储权限的弹窗，以存储游戏产品内的相关资源，在您授权同意后，游戏将获得访问您的内外部存储的权限。
                <br>1.13如您希望与附近的游戏玩家互动，在您授权同意后，我们会收集您的地理位置信息，用于寻找附近的游戏玩家，以便您与附近的玩家组队等。地理位置信息属于敏感信息，拒绝提供该信息只会导致您无法实现与附近的游戏玩家互动，但不影响您正常使用橙橙网络游戏的其他功能，您也可以随时取消您的地理位置信息授权。
                <br>1.14根据相关法律法规及国家标准，以下情形中，我们可能会收集、使用您的相关个人信息无需征求您的授权同意：
                <br>1）　与国家安全、国防安全等国家利益直接相关的；与公共安全、公共卫生、公共知情等重大公共利益直接相关的；
                <br>2）　与犯罪侦查、起诉、审判和判决执行等直接相关的；
                <br>3）　出于维护您或其他个人的生命、财产、声誉等重大合法权益但又很难得到本人同意的；
                <br>4）　所收集的个人信息是您自行向社会公众公开的；
                <br>5）　从合法公开披露的信息中收集个人信息的，如合法的新闻报道、政府信息公开等渠道；
                <br>6）　根据您要求签订和履行合同所必需的；
                <br>7）　用于维护所提供的产品或服务的安全稳定运行所必需的，例如发现、处置产品或服务的故障；
                <br>8）　为开展合法的新闻报道所必需的；
                <br>9）　出于公共利益开展统计或学术研究所必要，且其对外提供学术研究或描述的结果时，对结果中所包含的个人信息进行去标识化处理的；
                <br>10）　法律法规规定的其他情形。
                <br>1.15关于个人敏感信息提示：
                <br>个人敏感信息，是指一旦泄露、非法提供或滥用可能危害人身和财产安全，极易导致个人名誉、身心健康受到损害或歧视性待遇等的个人信息。以上由您提供或我们收集您的信息中，可能包含您的个人敏感信息，例如身份证件号码、个人生物识别信息（包括面部识别特征、声纹等）、充值记录、消费记录、地理位置信息等信息。请您谨慎并留意个人敏感信息，您同意我们可以按本政策所述的目的和方式来处理您的个人敏感信息。
                <br>1.16请您理解，我们向您提供的功能和服务是不断更新和发展的，如果我们要将您的个人信息用于本政策中未载明的其他用途或额外收集未提及的其他个人信息，我们会依法通过页面提示、交互流程、网站公告等方式另行向您说明信息收集的内容、范围和目的，以征得您的同意。

                <br>2.我们如何使用您的个人信息
                <br>我们严格遵守法律法规的规定以及与用户的约定，按照本政策所述使用收集的信息，以向您提供更为优质的服务。
                <br>2.1信息使用规则
                <br>我们会按照如下规则使用收集的信息：
                <br>1）　我们会根据我们收集的信息向您提供各项功能与服务，包括基础游戏功能、玩家互动功能、消费功能等；
                <br>2）　我们会根据您使用橙橙网络游戏产品的频率和情况、故障信息、性能信息等分析我们产品的运行情况，以确保服务的安全性，并优化我们的产品，提高我们的服务质量。我们不会将我们存储在分析软件中的信息与您提供的个人身份信息相结合。
                <br>2.2 告知变动目的后征得同意的方式
                <br>我们将会在本政策所涵盖的用途内使用收集的信息。如我们使用您的个人信息，超出了与收集时所声称的目的及具有直接或合理关联的范围，我们将在使用您的个人信息前，再次向您告知并征得您的明示同意。

                <br>3.我们可能共享、转让和披露的个人信息
                <br>3.1共享
                <br>我们非常重视您的个人信息保护。除以下情形外，未经您的明确同意，我们不会与橙橙网络之外的任何第三方共享您的个人信息：
                <br>1）　向您提供我们的服务。我们可能向合作伙伴及其他第三方共享您的信息，以实现橙橙网络服务的功能，让您正常使用您需要的服务。例如：提供数据服务（包括网络广告监测、数据统计、数据分析）的合作伙伴、联合运营合作伙伴、服务提供商；
                <br>2）　向广告、分析服务类的授权合作伙伴或者委托我们进行推广的合作伙伴等第三方共享，目的是为了使该等委托方了解推广的覆盖面和有效性。比如我们可以告知该委托方有多少人看了他们的推广信息或在看到这些信息后购买了委托方的商品，或者向他们提供不能识别个人身份的统计信息，帮助他们了解其受众或顾客；
                <br>3）　与关联方的必要共享。为便于我们基于统一的帐号体系向您提供一致化服务以及便于您进行统一管理、个性化推荐、保障系统和帐号安全等，您的个人信息可能会在我们和我们的关联方之间进行必要共享。例如：在您使用某一项橙橙网络服务时所收集的您的信息，可能在另一项橙橙网络服务中用于向您提供特定内容或向您展示与您相关的、而非普遍推送的信息；
                <br>4）　履行我们在本政策或我们与您达成的其他协议中的义务和行使我们的权利；
                <br>5）　在法律法规允许的范围内，为了遵守法律、维护我们及我们的关联方或合作伙伴、您或其他橙橙网络用户或社会公众利益、财产或安全免遭损害，比如为防止欺诈等违法活动和减少信用风险，我们可能与其他公司和组织交换信息。不过，这并不包括违反本政策中所作的承诺而为获利目的出售、出租、共享或以其它方式披露的信息；
                <br>6）　应您合法需求或经您的授权同意；
                <br>7）　应您的监护人合法要求而提供您的信息；
                <br>8）　基于学术研究而提供；
                <br>9）　基于符合法律法规的社会公共利益而提供。
                <br>我们仅会出于合法、正当、必要、特定、明确的目的共享您的个人信息。对我们与之共享个人信息的公司、组织和个人，我们会与其签署严格的保密协定，要求他们按照我们的说明、本政策以及其他任何相关的保密和安全措施来处理信息。
                <br>3.2转让
                <br>我们不会将您的个人信息转让给任何公司、组织和个人，但以下情况除外：
                <br>1）　在获取明确同意的情况下转让：获得您的明确同意后，我们会向第三方转让您的个人信息；
                <br>2）　随着我们业务的持续发展，我们有可能进行合并、收购、资产转让或类似的交易，在涉及合并、收购或破产清算时，如涉及个人信息转让，我们会在要求新的持有您个人信息的公司、组织继续受此隐私政策的约束，否则我们将要求该公司、组织重新向您征求授权同意。
                <br>3.3披露
                <br>我们仅会在以下情况下，且采取符合业界标准的安全防护措施的前提下，才会披露您的个人信息：
                <br>1）　根据您的需求，在您明确同意的披露方式下披露您所指定的信息；
                <br>2）　基于法律的披露：在法律、法律程序、诉讼、政府监管或政府主管部门强制性要求的情况下，我们可能会公开披露您的个人信息。在符合法律法规的前提下，当我们收到上述披露信息的请求时，我们会要求接收方必须出具与之相应的法律文件，如传票或调查函，以确保其具备合法依据，且仅限于执法部门因特定调查目的且有合法权利获取的数据。
                <br>3.4共享、转让、披露信息时事先征得授权同意的例外
                <br>以下情形中，共享、转让、披露您的信息无需事先征得您的授权同意：
                <br>1）　与国家安全、国防安全直接相关的；
                <br>2）　与公共安全、公共卫生、重大公共利益直接相关的；
                <br>3）　与刑事侦查、起诉、审判和判决执行等司法或行政执法直接相关的；
                <br>4）　出于维护您或其他个人的生命、财产等重大合法权益但又很难得到本人同意的；
                <br>5）　您自行向社会公众公开的信息；
                <br>6）　 从合法公开披露的信息中收集信息的，如合法的新闻报道、政府信息公开等渠道；
                <br>7）　与我们履行法律法规规定的义务相关的。
                <br>根据法律规定，共享、转让、披露经去标识化处理的个人信息，且确保数据接收方无法复原并重新识别信息主体的，不属于个人信息的对外共享、转让及公开披露行为，对此类数据的保存及处理将无需另行向您通知并征得您的同意。

                <br>4.我们如何存储和保护个人信息
                <br>4.1我们已使用符合业界标准的安全防护措施保护您提供的个人信息，防止数据遭到未经授权访问、公开披露、使用、修改、损坏或丢失。我们会采取一切合理可行的措施，保护您的个人信息。例如，网络通信采用HTTPS协议进行加密保护；网络边界部署了防火墙、WAF（web应用防火墙）、抗DDOS流量清洗设备；敏感数据在数据库中通过加密和严格的访问控制进行保护；在服务端的网络和终端层面部署了纵深安全防御体系，以免受恶意攻击；建立了完整的信息安全管理体系以规范日常的内部人员对数据的访问、使用、编辑、存储、共享、删除等活动，确保只有授权人员可以访问到受保护的信息；以及我们会举办信息安全和隐私保护培训课程及意识教育相关活动，加强员工对于保护个人信息重要性的认识。
                <br>4.2我们已经取得了以下认证：国家网络安全等级保护（三级）的备案和测评。
                <br>4.3我们的数据安全能力：应用层加密，网络层加密，数据库加密，网络访问异常监测，数据库访问异常监测等。
                <br>4.4 信息存储的期限：我们会采取一切合理可行的措施，确保不收集无关的个人信息。我们只会在达成本政策所述目的所需的最短期限内保留您的个人信息，除非需要延长保留期或受到法律的允许。
                <br>4.5信息存储的地域：我们会按照法律法规规定，将境内收集的用户个人信息存储于中国境内。
                <br>4.6产品或服务停止运营时的通知：如我们终止服务或运营，我们将及时停止继续收集您个人信息的活动，同时会遵守相关法律法规要求提前向您通知，并在终止服务或运营后对您的个人信息进行删除或匿名化处理，但法律法规或监管部门另有规定的除外。
                <br>4.7互联网并非绝对安全的环境，我们强烈建议您尽可能避免通过非加密的方式发送个人信息。请使用复杂密码（包含数字、大小写字母、特殊符号，并避免姓名、生日等信息），协助我们保证您的账号安全。
                <br>4.8互联网环境并非百分之百安全，我们将尽力确保或担保您发送给我们的任何信息的安全性。如果我们的物理、技术或管理防护设施遭到破坏，导致信息被非授权访问、公开披露、篡改或毁坏，导致您的合法权益受损，我们将承担相应的法律责任。
                <br>4.9在不幸发生个人信息安全事件后，我们将按照法律法规的要求，及时向您告知：安全事件的基本情况和可能的影响、我们已采取或将要采取的处置措施、您可自主防范和降低风险的建议、对您的补救措施等。我们将及时将事件相关情况以邮件、信函、电话、推送通知等方式告知您，难以逐一告知个人信息主体时，我们会采取合理、有效的方式发布公告。同时，我们还将按照监管部门要求，主动上报个人信息安全事件的处置情况。
                <br>请您理解，由于技术的限制以及风险防范的局限，即便我们已经尽量加强安全措施，也无法始终保证信息百分之百的安全。您需要了解，您接入橙橙网络服务所用的系统和通讯网络，有可能因我们可控范围外的情况而发生问题。
                <br>请您务必妥善保管好您的帐号、密码及其他身份要素。您在使用橙橙网络服务时，我们会通过您的帐号、密码及其他身份要素来识别您的身份。一旦您泄露了前述信息，您可能会蒙受损失，并可能对您产生不利。如您发现帐号、密码及/或其他身份要素可能或已经泄露时，请您立即和我们取得联系，以便我们及时采取相应措施以避免或降低相关损失。

                <br>5.您的权利
                <br>按照中国相关的法律、法规、标准，以及其他国家、地区的通行做法，我们保障您对自己的个人信息行使以下权利：
                <br>5.1访问您的个人信息
                <br>您有权访问您的个人信息，法律法规规定的例外情况除外。如果您想行使数据访问权，可以在登陆后，通过访问“橙橙游戏首页”自行访问。在个人中心，您可以查看账号信息、交易信息、虚拟财产信息、站内信件等。
                <br>如果您无法通过上述方式访问这些个人信息，或希望访问您在使用我们的产品或服务过程中产生的其他个人信息，您可以通过“橙橙网络平台首页-橙橙客服”获得我们在线客服的联系方式，联系我们提出您的访问请求，我们将在15个工作日内回复您的访问请求。
                <br>5.2修改、更正您的个人信息
                <br>您有权对您的个人信息进行修改，法律法规规定的例外情况除外。如果您想行使数据修改、更正权，可以在登陆后，通过访问“橙橙游戏首页”并进行相应的修改。
                <br>当您发现我们处理的关于您的个人信息有错误而无法自行更正时，您有权要求我们做出更正。您可以通过“橙橙网络平台首页-橙橙客服”获得我们在线客服的联系方式，联系我们提出您的更正请求，我们将在15个工作日内回复您的更正请求。
                <br>5.3删除您的个人信息
                <br>在以下情形中，您可以向我们提出删除个人信息的请求：
                <br>1）　如果我们处理个人信息的行为违反法律法规；
                <br>2）　如果我们收集、使用您的个人信息，却未征得您的同意；
                <br>3）　如果我们处理个人信息的行为违反了与您的约定；
                <br>4）　如果您不再使用我们的产品或服务，或您注销了账号；
                <br>5）　如果我们不再为您提供产品或服务。
                <br>若我们决定响应您的删除请求，我们还将同时通知从我们获得您的个人信息的实体，要求其及时删除，除非法律法规另有规定，或这些实体获得您的独立授权。
                <br>当您从我们的服务中删除信息后，我们可能不会立即备份系统中删除相应的信息，但会在备份更新时删除这些信息。
                <br>5.4改变您授权同意的范围
                <br>橙橙网络在收集用户信息时遵循必要性原则，提供基本游戏服务功能需要一些基本的个人信息才能得以完成（见本政策第一部分“我们收集的信息”章节）。对于额外收集的个人信息的收集和使用，您可以随时给予或收回您的授权同意。
                <br>您可以通过“橙橙网络平台首页-橙橙客服”获得我们在线客服的联系方式，联系我们提出您的请求。
                <br>当您收回同意后，我们将不再处理相应的个人信息。但您收回同意的决定，不会影响此前基于您的授权而开展的个人信息处理。
                <br>如果您不想接受我们给您发送的邮件、短信商业广告，您可以随时根据随附广告内容的退订指引进行操作。
                <br>5.5个人信息主体注销账户
                <br>您可以通过访问“橙橙游戏首页”自助提出用户注销申请，我们将在15个工作日内协助您注销账号。账号注销后，您将无法使用我们提供的服务。
                <br>您也可以通过“橙橙游戏首页”获得我们的联系方式，包括服务热线、自助服务、在线客服等，联系我们提出您的账号注销请求。
                <br>在注销账户之后，我们将停止为您提供产品或服务，并依据您的要求，删除您的个人信息，法律法规另有规定的除外。
                <br>5.6个人信息主体获取个人信息副本
                <br>您有权获取您的个人信息副本，您可以通过“橙橙游戏首页”获得我们的联系方式，包括服务热线、自助服务、在线客服等，联系我们提出您的请求。
                <br>5.7响应您的上述请求
                <br>为保障安全，您可能需要提供书面请求，或以其他方式证明您的身份。我们可能会先要求您验证自己的身份，然后再处理您的请求。
                <br>我们将在30个工作日内做出答复。如您不满意，还可以通过查看的“橙橙游戏首页”上所示的客服联系方式进行投诉。
                <br>对于您合理的请求，我们原则上不收取费用，但对多次重复、超出合理限度的请求，我们将视情收取一定成本费用。对于那些无端重复、需要过多技术手段（例如，需要开发新系统或从根本上改变现行惯例）、给他人合法权益带来风险或者非常不切实际的请求，我们可能会予以拒绝。
                <br>在以下情形中，我们将无法响应您的请求：
                <br>1）　与个人信息控制者履行法律法规规定的义务相关的；
                <br>2）　与国家安全、国防安全直接相关的；
                <br>3）　与公共安全、公共卫生、重大公共利益直接相关的；
                <br>4）　与犯罪侦查、起诉、审判和执行判决等直接相关的；
                <br>5）　个人信息控制者有充分证据表明个人信息主体存在主观恶意或滥用权利的；
                <br>6）　出于维护个人信息主体或其他个人的生命、财产等重大合法权益但又很难得到本人同意的；
                <br>7）　响应个人信息主体的请求将导致个人信息主体或其他个人、组织的合法权益受到严重损害的；
                <br>8）　涉及商业秘密的。

                <br>6.未成年人保护
                <br>6.1我们高度重视儿童个人信息的保护问题，依照国家相关法律法规的规定，我们将不满 14 周岁的任何未成年人均视为儿童。
                <br>6.2我们会积极按照国家防沉迷政策要求，通过启用防沉迷系统保护未成年人的合法权益。我们会通过实名身份等信息校验判断相关账号的实名信息是否为未成年人，进而决定是否将此账号纳入到防沉迷体系中。另外，我们会收集您的登录时间、游戏时长等信息，通过从系统层面自动干预和限制未成年人游戏时间、启用强制下线功能等方式，引导未成年人合理游戏，并在疑似未成年人消费后尝试联系其监护人进行提醒、确认与处理，帮助未成年人健康上网。
                <br>6.3我们收集、共享、转让、公开披露儿童的个人信息的范围同上述服务范围，但任何收集、存储、共享、转让、公开披露儿童的个人信息的行为均需事先经过儿童监护人的明示同意，若国家法律法规关于儿童个人信息保护出台新的政策限制针对儿童的个人信息的相关行为，我们将依照国家法律法规相应调整我们提供的收集、共享、转让、公开披露儿童的个人信息的范围。
                <br>6.4若您是儿童的法定监护人，请您关注您所监护的儿童是否是在取得您的授权同意之后使用橙橙网络的服务或提供其个人信息。如果儿童的监护人明确拒绝我们以上述方式向儿童提供服务，我们将依照法律规定及时删除我们收集、存储、使用的相关儿童个人信息，并停止向该儿童提供服务。
                <br>6.5我们收集到的儿童个人信息被定义为敏感信息，所有收集到的儿童个人信息均存储在中国大陆境内。儿童个人信息会受到严格的技术保障措施的保护，此外，橙橙网络还建立了严格的数据安全管理流程，对于敏感数据的访问、使用进行了严格的限制，所有针对敏感信息的访问或权限申请都需要经过申请、审批并留存记录。
                <br>6.6如果您对儿童个人信息保护有任何疑问，您可以通过“橙橙游戏首页-服务中心”获得我们的联系方式，包括服务热线、自助服务、在线客服等，联系我们提出您的要求，我们会在15个工作日内进行答复。

                <br>7.您的个人信息如何在全球范围转移
                <br>原则上，我们在中华人民共和国境内收集和产生的个人信息，将存储在中华人民共和国境内。未经您的明示授权及相关主管机构的审批，我们不会将您的个人信息转移到境外管辖区。

                <br>8.变更和通知
                <br>8.1我们的个人信息保护政策可能变更。
                <br>8.2未经您明确同意，我们不会削减您按照本个人信息保护政策所应享有的权利。我们会在本页面上发布对本政策所做的任何变更。
                <br>8.3对于重大变更，我们还会提供更为显著的通知（包括对于某些服务，我们会通过电子邮件发送通知，说明个人信息保护政策的具体变更内容）。
                <br>8.4本政策所指的重大变更包括但不限于：
                <br>1）　我们的服务模式发生重大变化。如处理个人信息的目的、处理的个人信息类型、个人信息的使用方式等；
                <br>2）　我们在所有权结构、组织架构等方面发生重大变化。如业务调整、破产并购等引起的所有者变更等；
                <br>3）　个人信息共享、转让或公开披露的主要对象发生变化；
                <br>4）　您参与个人信息处理方面的权利及其行使方式发生重大变化；
                <br>5）　我们负责处理个人信息安全的责任部门、联络方式及投诉渠道发生变化时；
                <br>6）　个人信息安全影响评估报告表明存在高风险时。
                <br>8.5您如果不同意该等变更，可以选择停止使用橙橙网络服务；如您仍然继续使用橙橙网络服务的，即表示您已充分阅读、理解并同意受经修订的本政策的约束。
                <br>8.6我们还会将本政策的旧版本存档，供您查阅。

                <br>9.联系我们
                <br>如您有关于网络信息安全的投诉和举报，或您对本政策、橙橙网络的隐私措施、您的信息的相关事宜有任何问题、意见或建议，请通过以下方式与我们联系：发送邮件至【850382600@qq.com】或写信至以下地址：【江西省上饶市信州区茶圣东路文创中心2号楼265室 客服部】；邮编：【334000】。
                <br>一般情况下，我们将在收到您的问题、意见或建议，并验证您的用户身份后的十五个工作内予以回复。如您不满意我们的回复，还可以向消费者权益保护部门投诉或向有管辖权的法院提起诉讼。
                </span>
                </p>
                <p class="protocol-p hide">
                <span class="t3">
                    本协议是由用户（以下简称为“您”）与上饶市橙橙网络科技有限公司（以下简称为“我们”或“橙橙网络”）就我们所提供的产品和服务（包括我们的网站以及我们现在正在提供和将来可能向您提供的网络服务和游戏服务，以下统称为“产品和服务”）共同订立的协议，本协议具有合同效力。

                    <br>请您务必审慎阅读、充分理解各条款内容，特别是免除或者限制橙橙网络责任的条款（以下称“免责条款”）、对用户权利进行限制的条款（以下称“限制条款”）、约定争议解决方式和司法管辖的条款，以及开通或使用某项服务的单独协议，这些条款应在中国法律所允许的范围内最大程度地适用。如果用户不同意本协议的任何条款，则应当立即停止使用橙橙网络提供的相关服务。

                    <br>如果您获得并使用我们所提供的产品和服务，则应视为您已经详细阅读了本协议的内容，同意本协议的内容，并同意遵守本协议的规定。为保障您的权益，请于注册使用本公司所提供的各种服务之前，仔细阅读以下规定。一旦您注册成为我司的用户，即表示您同意并愿意遵守以下所有规定。当您点击“同意”按钮，即表示用户同意并完全接受本协议项下的全部条款，此后您不得以未阅读/未同意本协议内容或类似理由提出任何形式的抗辩。

                    <br>本协议内容与《橙橙网络隐私保护政策》、橙橙网络已经发布的或将来可能发布/更新的各类规则是不可分割的整体，具有同等法律效力。本协议可由橙橙网络随时更新并通知用户。在橙橙网络更新本协议条款后，如果用户不接受更新后的条款，请立即停止使用橙橙网络提供的相关服务。如用户继续使用橙橙网络提供的相关服务，将被视为已接受更新后的本协议条款。

                    <br>如果用户未满18周岁，需在监护人的陪同下阅读本协议，并在取得监护人对用户使用橙橙网络提供的相关服务以及对本协议全部条款的同意之后，方可使用橙橙网络提供的相关产品及服务。

                    <br>一、知识产权
                    <br>1、我们所提供的产品和服务仅供个人及非商业目的使用。与产品和服务有关的全部信息、资料、技术（包括相关的软件）的著作权、专利权、商标、商业秘密、其他知识产权、所有权或其他权利，均为我们或其权利人所有，除非事先获得我们或其权利人的合法授权，您不得对任何该信息、资料、软件、产品和服务进行修改、拷贝、散布、传送、展示、执行、复制、发行、授权、制作衍生品、移转或销售。如果您未遵守本条款的上述规定，我们可立即终止向您提供产品和服务，您必须销毁任何您获得的上述信息、资料、软件或产品。
                    <br>2、本服务所体现的“橙橙网络”的文字、LOGO（图形），以及在具体服务中使用的用以标识服务名称与来源的文字、LOGO（图形）等（包括但不限于游戏的名称、LOGO、ICON，以及游戏软件开发者的名称、LOGO、ICON等），属于橙橙网络公司及/或其关联公司在中国及/或其他国家/地区的商标或者注册商标。
                    <br>3、本协议未明确授予您的权利均由橙橙网络公司保留。

                    <br>二、关于个人用户信息
                    <br>1、提供个人注册资料
                    <br>（1）在申请我们的用户账号时，您向我们提供的是及时、详细、真实及准确的个人资料，并保证所提供的个人身份资料信息真实、完整、有效，且不得以他人身份资料进行实名注册；
                    <br>（2）所有由您提供的个人资料将被我们用来作为识别您和其他用户的依据；
                    <br>（3）如果您所提供的个人注册资料与事实不符，或已变更而未及时更新，或有任何误导之嫌，导致我们无法为您提供或进一步提供产品和服务，我们将不承担任何责任，且我们有权拒绝向您提供相应的服务，并有权要求您赔偿因此给橙橙网络造成的所有损失。
                    <br>2、修改注册资料
                    <br>您可以在任何时候，通过我们官方网站提供的会员服务或我们公布的其他途径，更新或修改您申请注册时所提供的资料，我们将及时、有效地为其提供该项服务。
                    <br>3、如您使用橙橙网络认可的其他账号（以下也称“第三方账号”）作为游戏账号的，您同意橙橙网络可向该第三方账号的提供方核实该第三方账号的实名认证情况。如该第三方账号的提供方反馈您使用的第三方账号已完成实名认证的，则您无需再进行实名注册，您在此也同意该第三方账号的提供方可以向橙橙网络提供您的实名认证状态与您的年龄情况（用于判断是否需要纳入防沉迷系统之中）。如该第三方账号的提供方反馈您使用的第三方账号未完成实名认证的，或橙橙网络未向该第三方账号的提供方核实该第三方账号的实名认证情况的，则您应当按照橙橙网络的要求进行实名注册，您同意橙橙网络可将您提交的实名信息提交给合法留存您信息的国家有权机关、金融机构、支付机构和有关组织对您提交的实名信息进行核验。
                    <br>4、您充分理解并同意，橙橙网络会按照国家相关要求将您的实名注册信息（包括相关实名认证及年龄情况等）运用于防沉迷系统之中，即橙橙网络可能会根据您的实名注册信息判断您是否年满18周岁、您提交的实名身份信息是否规范或实名验证是否通过等，从而决定是否对您的游戏账号予以防沉迷限制。
                    <br>5、个人信息的收集、使用和保护
                    <br>（1）您同意并授权橙橙网络为履行本协议之目的收集您的用户信息，这些信息包括您实名注册信息、您游戏账号下的游戏数据以及其他您在使用橙橙网络服务的过程中向橙橙网络提供或橙橙网络基于安全、用户体验优化等考虑而需收集的信息，橙橙网络对您的用户信息的收集将遵循本协议及相关法律的规定。
                    <br>（2）您充分理解并同意：橙橙网络或其合作的第三方可以根据您的用户信息，通过短信、电话、邮件等各种方式向您提供关于橙橙网络游戏的活动信息、推广信息等各类信息。
                    <br>（3）您知悉并同意，如国家有权机关依法要求橙橙网络协助调查您游戏账号（包括实名身份信息）及游戏相关数据（如充值、消费、交易等数据）等信息的，橙橙网络可将前述相关信息提供给国家有权机关。
                    <br>（4）保护用户信息及隐私是橙橙网络的一项基本原则。除本协议另有规定外，橙橙网络游戏服务对用户信息收集、使用及保护等将遵循《橙橙网络隐私保护政策》等协议规定。除法律另有规定外，如您已同意或授权橙橙网络依据前述协议或规定收集、使用或处理涉及您的个人信息的，在您撤回该同意或授权后，不影响橙橙网络在此之前已基于您的同意或授权所进行的个人信息的收集、使用或处理，橙橙网络对此前相关个人信息收集、使用或处理继续有效。
                    <br>（5）您应对通过橙橙网络及相关服务了解、接收或可接触到的包括但不限于其他用户在内的任何人的个人信息予以充分尊重，您不应以搜集、复制、存储、传播或以其他任何方式使用其他用户的个人信息，否则，由此产生的后果由您自行承担，对橙橙网络造成损失的应当赔偿。

                    <br>三、关于账号和密码
                    <br>1、此处指的是您注册成功的账号及密码。请了解账号在注册之后不可变更，而密码可以通过我们提供的服务进行修改。您对于您的账号及密码的保管以及使用该账号和密码所进行的一切行动负有完全的责任。请不要将账号、密码转让或出借给他人使用。因为您的保管疏忽或其他任何个人行为导致您的账号或密码遭他人非法使用及因此所衍生的任何后果，由您自行承担责任，橙橙网络因此遭受损失的，您也应当一并赔偿。
                    <br>2、您充分理解并同意，橙橙网络有权审查用户注册所提供的身份信息是否真实、有效，并应积极地采取技术与管理等合理措施保障用户账号的安全、有效；用户有义务妥善保管其账号及密码，并正确、安全地使用其账号及密码。任何一方未尽上述义务导致账号密码遗失、账号被盗等情形而给用户和他人的民事权利造成损害的，应当承担由此产生的法律责任。
                    <br>3、若您发现有他人冒用或盗用您的游戏账号及密码、或任何其他未经您合法授权使用的情形时，应立即以橙橙网络要求的有效方式通知橙橙网络并告知橙橙网络需采取的措施。您通知橙橙网络时，应提供与您注册身份信息相一致的个人有效身份信息，橙橙网络收到您的有效请求并核实身份后，会根据您的要求或结合具体情况采取相应措施（包括但不限于暂停该账号的登录和使用等），橙橙网络因根据您的请求采取相应措施而造成您及其他用户损失的，由您自行承担。若您没有提供有效身份信息或您提供的个人有效身份信息与所注册的身份信息不一致的，橙橙网络有权拒绝您的请求，因此造成您损失的，由您自行承担。
                    <br>4、游戏账号是橙橙网络按照本协议授权您用于登录、使用橙橙网络游戏及相关服务的标识，其所有权属于橙橙网络。您仅根据本协议、相关账号使用协议及橙橙网络为此发布的专项规则享有游戏账号的使用权。您不得将游戏账号以任何方式提供给他人使用，包括但不限于不得以转让、出租、借用等方式提供给他人作包括但不限于直播、录制、代打代练等商业性使用。否则，因此产生任何法律后果及责任均由您自行承担，且橙橙网络有权对您的游戏账号采取包括但不限于警告、限制或禁止使用游戏账号全部或部分功能、删除游戏账号及游戏数据及其他相关信息、封号直至注销的处理措施，因此造成的一切后果由您自行承担。

                    <br>四、您的权利
                    <br>1、您可以根据本协议以及我们不时更新和公布的其他规则使用我们提供的产品和服务。
                    <br>2、您有权在使用我们提供的产品和服务期间监督我们及我们的工作人员是否按照我们所公布的标准向您提供产品和服务，也可以随时向我们提出与我们的产品和服务有关的意见和建议。
                    <br>3、如果您不同意本协议条款，或对我们后来更新的条款有异议，或对我们所提供的产品和服务不满意，您可以选择停止使用我们的产品和服务。如果您选择停止使用我们的产品和服务，则我们即不再对您承担任何义务和责任。
                    <br>4、本条及本协议其他条款未明示授权的其他一切权利仍由橙橙网络保留，您在行使这些权利时须另外取得橙橙网络的书面许可。

                    <br>五、您的义务
                    <br>1、您同意按照我们不时发布、变更和修改的本协议条款及其他规则接受并使用我们的产品和服务，您不得通过不正当的手段或其他不公平的手段使用我们的产品和服务或参与我们活动。
                    <br>2、您不得干扰我们正常地提供产品和服务，包括但不限于：
                    <br>（1）攻击、侵入我们的网站服务器或使网站服务器过载；
                    <br>（2）破解、修改我们提供的客户端程序；
                    <br>（3）攻击、侵入我们的游戏服务器或游戏服务器端程序或使游戏服务器过载；
                    <br>（4）制作、发布、传播任何形式的妨碍游戏公平性的辅助工具或程序（外挂）；
                    <br>（5）利用程序的漏洞和错误（Bug）破坏游戏的正常进行或传播该漏洞或错误（Bug）；
                    <br>（6）不合理地干扰或阻碍他人使用我们所提供的产品和服务。
                    <br>3、您必须保管好自己的账号和密码，由于您的原因导致账号和密码泄密而造成的后果均将由您自行承担。
                    <br>4、您仅能以一个单独的个人的身份使用我们所提供的产品和服务，您不能利用我们所提供的产品和服务从事商业目的的活动，也不能利用我们的产品和服务进行销售或其他商业目的的活动。
                    <br>5、您需对自己账号中的所有活动和事件负责。您须遵守有关互联网信息发布的有关法律、法规及通常适用的互联网一般道德和礼仪的规范，您将自行承担您所发布的信息内容的责任。特别的，您不得发布下列内容：
                    <br>（1）反对宪法所确定的基本原则的；
                    <br>（2）危害国家安全，泄露国家秘密，颠覆国家政权，破坏国家统一的；
                    <br>（3）损害国家荣誉和利益的；
                    <br>（4）煽动民族仇恨、民族歧视，破坏民族团结的；
                    <br>（5）破坏国家宗教政策，宣扬邪教和封建迷信的；
                    <br>（6）散布谣言，扰乱社会秩序，破坏社会稳定的；
                    <br>（7）散布淫秽、色情、赌博、暴力、凶杀、恐怖或者教唆犯罪的；
                    <br>（8）侮辱或者诽谤他人，侵害他人合法权益的；
                    <br>（9）含有法律、行政法规禁止的其他内容的；
                    <br>（10）侵犯任何第三者的知识产权或公众/私人权利的；
                    <br>（11）违反人文道德、风俗习惯的；
                    <br>（12）发表、传送、传播骚扰、广告信息、过度营销信息及垃圾信息或含有任何性或性暗示的；
                    <br>（13）发布任何经橙橙网络合理判断为不妥当或者橙橙网络未认可的软件、文件等在内的主页地址、链接或宣传内容的；
                    <br>（14）其他违反法律法规、政策及公序良俗、社会公德或干扰橙橙网络游戏正常运营和侵犯其他用户或第三方合法权益内容的信息。
                    <br>6、您的游戏账号、游戏角色，以及与我们产品相关的论坛昵称不得包含本协议第五条所禁止发布的内容。
                    <br>7、您在使用橙橙网络游戏服务过程中不得未经橙橙网络许可以任何方式录制、直播或向他人传播游戏内容，包括但不限于不得利用任何第三方软件进行网络直播、传播等。
                    <br>8、如果您违反本协议任何约定的，橙橙网络有权要求用户立即修正，或采取直接删除、屏蔽相应内容或禁言、封停账号等必要的措施，并可公布处理结果，且（/或）有权要求您赔偿因您违约行为而给橙橙网络造成的所有损失。
                    <br>9、您充分理解并同意，如用户停止使用本协议服务或本协议服务被终止或取消，橙橙网络有权采取措施删除该用户账号及该用户账号的数据和记录，删除后的数据信息无法再恢复。
                    <br>10、您充分理解并同意，橙橙网络有权依合理判断对违反有关法律法规或本协议规定的行为进行处理，对违法违规的任何用户采取适当的法律行动，并依据法律法规保存有关信息向有关部门报告等，用户应独自承担由此而产生的一切法律责任。
                    <br>11、您充分理解并同意，因您违反本协议或相关服务条款的规定，导致或产生第三方主张的任何索赔、要求或损失，您应当独立承担责任；橙橙网络因此遭受损失的，您也应当一并赔偿相应的损失。

                    <br>六、网络游戏中虚拟物品的约定
                    <br>1、您充分理解并同意：游戏装备、游戏币及其他游戏道具（不限于金币、银两、道具、装备）等是橙橙网络游戏服务的一部分，橙橙网络在此许可您依本协议而获得其使用权。您购买、使用游戏装备、游戏币及其他游戏道具等应遵循本协议、游戏具体规则的要求；同时，游戏装备、游戏币及其他游戏道具等可能受到一定有效期限的限制，即使您在规定的有效期内未使用，除不可抗力或可归责于橙橙网络的原因外，一旦有效期届满，将会自动失效。
                    <br>2、您充分理解并同意：为更好地向用户提供游戏服务，橙橙网络有权对游戏相关内容（包括但不限于游戏角色、游戏装备及其他游戏道具的设计、性能及相关数值设置等）作出调整、更新或优化。
                    <br>3、橙橙网络向用户提供游戏服务本身属于商业行为，用户有权自主决定是否根据橙橙网络自行确定的收费项目（包括但不限于购买游戏内的虚拟道具的使用权以及接受其他增值服务等各类收费项目）及收费标准支付相应的费用，以获得相应的游戏服务。如您不按相应标准支付相应费用的，您将无法获得相应的游戏服务。
                    <br>4、您知悉并同意：收费项目或收费标准的改变、调整是一种正常的商业行为，您不得因为收费项目或收费标准的改变、调整而要求橙橙网络进行赔偿或补偿。
                    <br>5、您知悉并同意，您使用法定货币进行游戏充值购买或兑换游戏虚拟货币、虚拟道具及其他虚拟物品或增值服务的，视为您购买了游戏服务，您所购买或兑换的游戏虚拟货币、虚拟道具及其他虚拟物品或增值服务将不能退还或兑换成法定货币，但法律另有强制性规定的除外。
                    <br>6、您知悉并同意，如您进行游戏充值购买或兑换游戏虚拟货币的交易因退款等原因被取消的，橙橙网络有权就该被取消的交易对应下发到您游戏账号中的虚拟货币进行扣除。如您游戏账号中的虚拟货币不足以扣除的，就不足部分，橙橙网络可在您游戏账号中的虚拟货币后续增加时优先扣除。
                    <br>7、橙橙网络未授权您从任何第三方通过购买、接受赠与或者其他的方式获得游戏账号、游戏道具、游戏装备、游戏币及其他游戏服务。橙橙网络不对第三方交易行为（第三方交易，是指您从第三方通过购买、接受赠与或者其他的方式获得游戏账号、游戏道具、游戏装备、游戏币及其他游戏服务的行为）负责，并且不受理因任何第三方交易发生纠纷而带来的申诉。

                    <br>七、注销角色
                    <br>在下列情况下，我们可以注销您创造的角色，并删除该角色的所有记录：
                    <br>1、用户注册的账号激活该网络游戏服务后，连续180天没有使用网络服务，则自第180天当天的24时起，我们有权采取措施终止向用户继续提供网络服务，且不对因此所导致的任何损失负责。
                    <br>2、您自行删除的角色，自删除之日起一定时间内没有恢复的。
                    <br>3、关于我们所提供的不同产品注销角色的具体条件，请参见各个产品的具体规定，或提供产品和服务的相关官方网站上的具体规定。
                    <br>4、如您注销游戏账号的，该游戏账号下的相关游戏收益也将会被清除。据此，在您注销本游戏账号前请您确保已妥善处理该游戏账号下的游戏收益或相关的游戏收益已结清。一旦您注销本游戏账号，如届时该游戏账号下还存在游戏收益的（包括在本游戏使用期间已产生的及未来可能产生的游戏收益），橙橙网络有权对该游戏账号下的全部游戏收益做清除处理，因此产生的后果由您自行承担。前述游戏收益包括但不限于：游戏会员权益、等级；与游戏角色成长升级相关的所有数据（包括但不限于经验值、声望值、称号等）；尚未使用的网络游戏虚拟货币、虚拟道具及其他虚拟物品（如点券、金币、道具及其他等）；已经购买但未到期或未使用完的增值服务；已产生但未消耗完毕的其他游戏收益或未来预期的游戏收益等。

                    <br>八、服务中断、停止和变更的说明
                    <br>您充分理解并同意，发生下列情形之一时，我们有权中断、停止或变更我们提供的服务，对于因此而产生的困扰、不便或损失，我们不承担任何责任：
                    <br>1、定期检查或施工，软硬件更新等，即暂停服务，我们将尽快完成维修、维护工作。
                    <br>2、服务器遭到任何形式的破坏，无法正常运作。
                    <br>3、网络线路或其它导致玩家通过Internet连接至我们服务器的动作发生滞碍等情形。
                    <br>4、自然灾害等不可抗力的因素。
                    <br>5、在紧急情况之下为维护国家安全或其他用户及第三者人身安全时。
                    <br>6、发生突发性软硬件设备与电子通信设备故障时。

                    <br>九、个人资料的转移和游戏方式的转变
                    <br>1、我们将尽力持续地向您提供产品和服务，但是我们并不排除我们可能会停止提供该产品和服务的可能性，也不排除任何改变游戏方式的可能性。如果我们停止或改变提供产品和服务，我们将会事先通知您，并尽力寻找适当的服务提供者或方式以代替我们继续提供产品和服务。在这种情况下，我们可能会将您的个人资料（包括有关的账号和密码信息及个人资料）转移给该继续提供服务的一方，也可能根据需要永久封存原有资料以推行新的游戏方式。您在此同意我们有权做此转移和改变，并且同意在我们完成转移和改变之后，我们即不再对您原有资料承担任何义务和责任。但是，我们并不在此保证我们届时肯定能够找到适当的服务提供者或服务方式以代替我们继续提供产品和服务，也不保证我们找到的服务提供者所提供的产品和服务以及改变的游戏方式能够满足您的要求。
                    <br>2、橙橙网络自行决定终止运营橙橙网络游戏时或橙橙网络游戏因其他任何原因终止运营时，橙橙网络会按照国家有关网络游戏终止运营的相关法律法规规定处理游戏终止运营相关事宜，以保障用户合法权益。

                    <br>十、资费政策
                    <br>您知悉并同意，橙橙网络有权决定我们所提供的产品和服务的资费标准和收费方式，我们可能会就不同的产品和服务制定不同的资费标准和收费方式，也可能按照我们所提供的产品和服务的不同阶段确定不同的资费标准和收费方式。另外，我们也可能不时地修改我们的资费政策。我们会将有关产品和服务的收费信息以及与该产品和服务有关的资费标准、收费方式、购买方式或其他有关资费政策的信息放置在该产品和服务相关网页的显著位置。对于我们的收费产品和服务，您应该按照我们确定的资费政策购买我们的产品和服务。如果您未按我们确定的资费政策购买我们的产品和服务，您将无法使用我们提供的收费产品和服务。

                    <br>十一、游戏版本更新变动的说明
                    <br>为增加并丰富游戏的内容，游戏在运行时会不定期更新并调整改变游戏内所有的功能。在游戏更新后，一切游戏内的操作、内容、设定将以游戏中的公告设定为准。

                    <br>十二、有限保证及责任限制
                    <br>对于我们提供的产品和服务，我们仅作下述有限保证，该有限保证取代任何文件或其他资料中的任何其他明示或默示的保证（如果有）。
                    <br>1、您知悉并同意，我们仅以“现有状况且包含所有错误”的形式提供相关的产品、软件或程序及任何支持服务，并仅保证：
                    <br>（1）我们所提供的产品和服务能基本符合我们正式公布的要求；
                    <br>（2）我们所提供的相关产品和服务基本与我们正式公布的服务承诺相符；
                    <br>（3）我们仅在商业上允许的合理范围内尽力解决我们在提供产品和服务过程中所遇到的任何问题。
                    <br>2、您知悉并同意，在适用法律允许的最大范围内，我们明确表示不提供任何其他类型的保证，不论是明示的或默示的，包括但不限于适销性、适用性、可靠性、准确性、完整性、无病毒以及无错误的任何默示保证和责任。
                    <br>3、您知悉并同意，在适用法律允许的最大范围内，我们并不担保我们所提供的产品和服务一定能满足您的要求，也不能担保提供的产品和服务不会被中断，并且对产品和服务的及时性，安全性，出错发生以及信息是否能准确、及时、顺利地传送均不作任何担保。
                    <br>4、您知悉并同意，在适用法律允许的最大范围内，我们不就因您使用我们的产品和服务引起的，或在任何与我们的产品和服务有关的方面而存在的任何意外的、非直接的、特殊的、或间接的损害或请求（包括但不限于因人身伤害、因隐私泄漏、因未能履行包括诚信或合理谨慎在内的任何责任、因过失和因任何其他金钱上的损失或其他损失而造成的损害赔偿）承担相关责任。

                    <br>十三、游戏管理
                    <br>1、资料转移：在出现本公司游戏服务器合并情形时，橙橙网络有权将用户的角色档案转移到其它与橙橙网络关联的公司游戏服务器。
                    <br>2、账号服务使用者守则
                    <br>（1）遵守国家法律法规；
                    <br>（2）严禁修改、破译或进行任何影响游戏程序和游戏网络数据传输封包的行为；
                    <br>（3）严禁使用任何方法对服务器进行恶意入侵、攻击，或任何破坏网络服务正常运行的行为；
                    <br>（4）禁止利用游戏Bug进行赚取金钱、复制装备、快速累积经验值等破坏游戏公平性及造成服务器负担加重的行为；
                    <br>（5）禁止公开或私下传播任何存在并可利用的游戏Bug，请在发现该类问题时立即向我们反映；
                    <br>（6）禁止使用含有人身攻击、淫秽、辱骂、反动及其他危害本游戏形象、同GM角色名故意相似扰乱正常服务秩序以及国家利益和社会公德性质的角色名；
                    <br>（7）禁止使用公共频道恶意刷屏，或做出任何影响正常游戏秩序的行为；
                    <br>任何侵犯以上条款的违规行为，GM有权根据情节轻重对违规者进行警告、强制下线、禁闭、改名、删除人物直至封停账号的处罚，情节尤其严重者，将进一步追究法律责任，违规造成的点卡损失等后果，由当事的账号服务使用者自行承担。
                    <br>3、GM身份说明
                    <br>（1）GM即Game Master，指的是维护和管理游戏虚拟世界秩序的线上游戏管理员；
                    <br>（2）GM不会干预游戏的正常秩序，不会以任何方式索要玩家的个人资料和密码，并不负责解决玩家之间的私人纠纷以及游戏的攻略等问题；
                    <br>（3）请在游戏中尊重、理解并配合GM的工作，如有任何意见，请通过专用信箱向客服中心申诉和举报。
                    <br>4、虚拟物品说明
                    <br>（1）不推荐账号服务使用者进行任何未经过我们认证的真实的货币或点卡等物品与账号、虚拟货币和虚拟物品之间的交易，我们对由此所造成的任何纠纷和后果概不负责；
                    <br>（2）请您提高警惕，谨防服务中的欺骗行为，由于账号服务使用者个人不慎而造成的账号、虚拟物品和点卡被骗或其他任何后果，我们会尽力提供支持帮助，但您需要独立承担相应的损失；
                    <br>（3）除服务器大规模断线外，由于地方网络问题、个人操作问题等个别原因造成的角色被删或回档、以及虚拟物品和金钱的损失，您需要独立承担相应的损失。

                    <br>十四、风险承担
                    <br>1、您知悉并同意，使用我们提供的服务是出于您的个人意愿，并愿自负相关风险，包括但不限于您因执行我们所提供的服务程序或自行由官方网站下载游戏或资料而导致您或您所使用的计算机系统受到损害或发生任何资料的流失等。
                    <br>2、特别提示，您应当充分理解并同意，因您个人操作导致出错的任何结果，您应当自行承担损害后果及损失，我们不给予任何形式的赔偿，也不承担任何责任。

                    <br>十五、损害赔偿
                    <br>您充分理解并同意，您若违反本协议或相关法令，导致我们的母公司、子公司、附属公司、关系企业、受雇人、代理人及其他一切相关履行辅助人员因此受到损害或支出一切衍生费用（包括但不限于支付上述人士须就您的违反行为所进行的一切辩护或索偿诉讼及相关和解之法律费用），您应负担损害赔偿及费用承担责任。

                    <br>十六、公司拥有终止权
                    <br>1、您应确实遵守本协议及有关法律命令的规定，如果我们认为您违反本协议或任何法令，我们有权在无需向您进行事先通知的情况之下，立即暂停、终止或删除您账号与您账号中的所有相关资料、档案及任何记录，以及取消、停止、限制您的会员资格。如有系统故障、Bug、程序出错等等问题，我们有权把游戏的资料还原到一定日期，以维护游戏内之平衡。您充分理解并同意，您不得因此要求补偿或赔偿。
                    <br>2、为了向您提供产品和服务，我们可能会需要定期或不定期地对有关的网站服务器或游戏服务器或我们所提供的产品和服务的相关官方网站进行维护，该维护可能造成服务的中断，并且该中断可能没有事先的通知，对于由此引起的中断我们不承担责任。
                    <br>3、您充分理解并同意，对于因我们、我们的合作方或电信网络系统软硬件设备的故障、失灵或人为操作的疏失而全部或部分中断、暂时无法使用、迟延并造成我们提供产品和服务的停止或中断的，以及，对于因他人侵入我们的网络或游戏系统，篡改、删改或伪造、变造网站和游戏资料或数据而造成我们的产品和服务的停止或中断，上述情况我们不承担相应责任。

                    <br>十七、关于广告
                    <br>我们的线上游戏软件内可能刊登商业广告或其它活动促销的广告，这些内容系广告商或商品服务提供者所为，我们仅提供刊登内容的媒介。您通过我们或我们所链接的网站所购买的服务或商品，其交易行为仅存于您与该商品或服务的提供者之间。

                    <br>十八、至第三方站点的链接
                    <br>您可能在使用我们的产品和服务过程中链接到第三方的站点。第三方的站点不由我们控制，并且我们也不对任何第三方站点的内容、第三方站点包含的任何链接、或第三方站点的任何更改或更新负责。我们仅为了提供便利的目的而向您提供这些到第三方站点的链接，我们所提供的这些链接并不意味着我们认可该第三方站点。您需要检查并遵守该第三方站点的相关规定。

                    <br>十九、未成年人保护及防沉迷系统
                    <br>1、我们将按照相关法律法规和本协议的规定，采取切实有效的措施保护未成年人在使用我们游戏服务过程中的合法权益，包括可能采取技术措施、禁止未成年人接触不适宜的游戏或者游戏功能、限制未成年人的游戏时间、预防未成年人沉迷网络。作为游戏规则的一部分，橙橙网络还将在适当位置发布相关游戏用户指引和警示说明，包括游戏内容介绍、正确使用游戏的方法以及防止危害发生的方法。所有未成年人用户都应在法定监护人的指导下仔细阅读并遵照执行这些指引和说明；其他玩家在使用橙橙网络游戏服务的过程中应避免发布、产生任何有损未成年人身心健康的内容，共同营造健康游戏环境。
                    <br>2、您知悉并同意，出现以下情形之一的，橙橙网络有权将您的游戏账号纳入相应的防沉迷系统，采取相应的防沉迷措施：
                    <br>（1）系统判断您未满18周岁的；或
                    <br>（2）您提交的实名身份信息不规范的；或
                    <br>（3）您实名验证未通过的；或
                    <br>（4）游客模式登录的；或
                    <br>（5）其他国家法律法规政策要求或橙橙网络有合理理由认为需要纳入防沉迷系统的情形的。
                    <br>另外，为了进一步提高实名认证的精准度，最大限度防止未成年人冒用他人身份信息，我们可能在部分游戏内会从第三方平台获取您的游戏账号信息，并基于未成年人保护策略识别记录您的游戏行为，并判断游戏行为是否符合未成年人游戏行为特征。
                    <br>3、对纳入相应防沉迷系统的游戏账号，我们有权依据国家有关法律法规及政策规定、本协议其他条款规定、根据您法定监护人的合理要求采取以下一种或多种措施：
                    <br>（1）将与您游戏相关的信息（包括但不限于您游戏账号的登录信息、充值流水信息等）提供给您的法定监护人，使得您法定监护人可及时或同步了解您游戏情况；
                    <br>（2）限制您游戏账号的消费额度；
                    <br>（3）采取技术措施屏蔽某些游戏或游戏的某些功能，或限定您游戏时间或游戏时长；
                    <br>（4）注销或删除您游戏账号及游戏数据等相关信息；
                    <br>（5）您法定监护人要求采取的，或橙橙网络认为可采取的其他合理措施，以限制或禁止您使用橙橙网络游戏；
                    <br>（6）国家法律法规或政策要求的相关措施。

                    <br>二十、与法律的冲突
                    <br>本协议的订立、履行、解释及争议的解决均适用中华人民共和国法律，并排除其他一切的冲突法的适用。如果本协议的任何内容与法律相抵触，应以法律规定为准。

                    <br>二十一、个别条款的效力
                    <br>本协议所定的任何条款的一部分或全部无效者，不影响其它条款的效力。

                    <br>二十二、修改和解释权
                    <br>基于对我们本身、用户及市场状况不断变化的考虑，我们保留随时修改、新增、删除本协议条款的权利，修改、新增、删除本协议条款时，我们将于官方网站首页公告修改、新增、删除的事实，而不另行对您进行个别通知。若您不同意我们所修改、新增、删除的内容，可停止使用我们所提供的服务。若您继续使用我们的服务，则视同您同意并接受本协议条款修改、新增、删除后之一切内容，且不得因此而要求任何补偿或赔偿。

                    <br>我们保留对本协议条款、产品和服务以及我们所提供的产品和服务的相关官方网站的最终解释权 。

                    <br>二十三、法律管辖 
                    <br>本协议签订于上饶市信州区。如双方就本协议的内容或其执行发生任何争议（包括但不限于合同纠纷或者其他财产性权益纠纷），双方应友好协商解决；协商不成时，双方同意将争议交由本协议签订地有管辖权的人民法院管辖并处理。

                    <br>上饶市橙橙网络科技有限公司




                </span>
                </p>
            </div>
        </div>
    </div>
</div>
    @endif
@endsection
