@extends("layout")

@section('title', '绑定识别码')
@section('content')
    <link rel="stylesheet" href="{{ asset('css/style-mb.css?v=2021050801') }}">
    @if(!$isWx)
        <div class="is-weixin hide">
            <img src="{{ asset('ald/sign/images/wx.png') }}" class="m-img" alt="">
        </div>
    @else
        <div class="container container-mb" style="padding-top: 1.2rem">
        <div class="mb-header">
            <a href="/" class="back"></a>
            <span>橙橙网络</span>
        </div>
        <div class="dialog-orange">
            <div class="form-container">
                <h3>绑定识别码</h3>
                <ul class="form">
                    <li class="icon-orange"><input type="text" name="orangeCode" autocomplete="off" placeholder="请输入识别码" maxlength="15"></li>
                    <li class="password-message leave-times">剩余输入次数：<span>{{ $bind_left_num }}</span><em>/{{ $bind_total_num }}</em></li>
                </ul>
                <div class="bind-rules">
                    <h4>Orange识别码绑定注意事项：</h4>
                    <p>1、Orange识别码可用于绑定《阿拉德之怒》游戏账号，可自动将账号内剩余非绑定点券兑换为O币</p>

                    <p>2、O币兑换成功后，我们将赠送额外0.5倍的O币代金券到您的通行证账户内</p>

                    <p>3、O币和O币代金券都可用于橙橙网络平台下其他游戏的充值</p>

                    <p>4、Orange识别码发放于《阿拉德之怒》游戏玩家的角色邮箱中（发放于每日首个登陆的角色）</p>

                    <p>5、每个账号对应的Orange识别码是唯一的</p>

                    <p>6、每个橙橙网络通行证只可绑定一个Orange识别码且不可换绑</p>

                    <p>7、每个Orange识别码只可被绑定一次</p>

                    <p>8、一个账号每日共有3次输入Orange识别码的机会，若3次都未输入正确的识别码，则今日无法再绑定识别码，第二日0点刷新次数，请谨慎填写</p>

                    <p>9、若您未保存账号对应的Orange识别码，可咨询在线客服</p>

                    <p>10、请您妥善保管自己的识别码，切勿与他人共享，以免造成不必要的损失</p>
                </div>
                <button class="btn btn-bind-orange btn-small" data-type="ald" @if ($bind_left_num ==0)  disabled @endif>绑定</button>
            </div>
        </div>
    </div>
    @endif

    <!--确认框-->
    <div class="dialog dialog-confirm hide">
        <div class="form-container">
            <h3>温馨提示</h3>
            <p class="toast-msg">密码修改成功，请重新登录！</p>
            <a href="javascript:" class="btn btn-small" style="text-align: center;line-height: 1.06rem;display: block;margin: .9rem auto">确定</a>
        </div>
    </div>
    <script>
        $(function (){
            {{--var leftNum = {{$bind_left_num}};--}}
            {{--if(leftNum == 0){--}}
            {{--    localStorage.removeItem('showOrange');--}}
            {{--}--}}
        })
    </script>
@endsection
